select
  an.numero
  , an.nome
  , (current_date - ultcob.data) as dias_gestacao
  , tou.numero as reprodutor
  , ultcob.data as data_tentativa
  , diag.data as data_diagnostico
from
  animal an
  join sp_categoriaanimal(current_date, '') sp on sp.animal = an.cdanimal
  join reproducao ultcob on ultcob.cdreproducao =
    (select first 1 re.cdreproducao from reproducao re where re.cdanimal = an.cdanimal and re.cdtiporeproducao in (1,2,3) order by re.data desc)
  left join animal tou on tou.cdanimal = ultcob.cdreprodutor
  join reproducao diag on diag.cdreproducao =
    (select first 1 re.cdreproducao from reproducao re where re.cdanimal = an.cdanimal and re.diagnostico = 'P' order by re.data desc)
where
  an.tipoanimal = 'A'
  and an.animalrebanho = 1
  and an.dtbaixa is null
  and sp.creprodutiva = 3
  and diag.complementodiagnostico = 'T'
order by
  an.numordenado
